<style>
th, td {
  padding: 10px;
}
th {
  text-align: left;
}
</style>

<h1>All Articles</h1>

{% if articles is not empty %}
<table>
  <thead>
 <tr>
  <th>Title</th>
   <th>Author</th>
   <th>Body</th>
    <th>Homepage</th>
<th>Delete</th>
 <th>Update</th>
  </tr>
  </thead>
  <tbody>
  {% for article in articles %}
  <tr>
 <td>{{ article.title }}</td>
  <td>{{ article.author }}</td>
  <td>{{ article.body | slice(0, 20) }}...</td>
  <td>
  {% if article.url != "" %}
   <a href="http://{{ article.url }}">Visit Homepage</a>
   {% else %}
Void Field
{% endif %}
</td>
<td><a href="delete-article/{{ article.id }}">Delete</a></td>
 <td><a href="update-article/{{ article.id }}">Update</a></td>
  </tr>
  {% endfor %}
  </tbody>
</table>
{% else %}
  <p>No article found.</p>
{% endif %}

<br/>
<a href="/create-article">Create New</a>
